<?php

namespace App\Http\Requests\Post;

use App\Http\Requests\Request;

class ApplyRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'email'                => ['required', 'email'],
            'name'                 => ['required'],
            'phone'                => ['required'],
            'resume'               => ['required', 'mimes:jpeg,jpg,bmp,png,pdf,doc,docx,txt', 'max:'.maxApplyFileUploadSize()*1000],
            'g-recaptcha-response' => ['required', 'recaptcha']
        ];
    }
}
