<?php

namespace App\Http\Requests\User;

use App\Http\Requests\Request;

class RegisterRequest extends Request
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        if (auth()->check()) {
            return false;
        }

        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'fullname'              => ['required', 'min:3', 'max:80'],
            'username'              => ['required', 'alpha_num', 'min:3', 'max:80', 'Unique:users'],
            'email'                 => ['required', 'between:3,64', 'email', 'Unique:users'],
            'password'              => ['required', 'between:6,25', 'confirmed'],
            'password_confirmation' => ['required', 'between:6,25'],
            'g-recaptcha-response'  => ['required', 'recaptcha']
        ];
    }
}
