<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
namespace App\Jobshunt\Mailers;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Mail;

abstract class Mailer
{
    public function sendTo($user, $subject, $view, $data = [])
    {
        if (Config::get('mail.from.address')) {
            $email = $user->email;
            Mail::queue($view, $data, function ($message) use ($email, $subject, $data) {
                if (isset($data['senderEmail'])) {
                    $message->from($data['senderEmail'], $data['senderFullname']);
                }
                if (isset($data['attachment'])) {
                    $message->attach($data['attachment']);
                }
                $message->to($email)->subject($subject);
            });
        }
    }
}
