<?php

/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| Here you may define all of your model factories. Model factories give
| you a convenient way to create models for testing and seeding your
| database. Just tell the factory how a default model should look.
|
*/
$factory->define(\App\Jobshunt\Models\User::class, function (Faker\Generator $faker) {
    return [
        "fbid"               => null,
        "gid"                => null,
        "twid"               => null,
        "username"           => $faker->userName,
        "email"              => $faker->email,
        "password"           => bcrypt('ameeto003#1'),
        "fullname"           => $faker->name,
        "avatar"             => rand(2,40).'.jpg',
        "about"              => null,
        "category_id"        => rand(2,4),
        "url"                => null,
        "tw_url"             => null,
        "tags"               => $faker->randomElement(['php,html,css','music,rock,drums','ruby,bash,css','support,team,developer','php,javascript,html','desging,photoshop,psd','ruby,fullstack,developer','illustrator,vector,graphics','guitar,tuning,electric','php,html,jquery']),
        "email_confirmation" => null,
        "permission"         => "user",
        "is_freelancer"      => rand(0,1),
        "confirmed_at"       => \Carbon\Carbon::now(),
    ];
});
$factory->define(\App\Jobshunt\Models\Post::class, function (Faker\Generator $faker) {
    return [
        'transaction_id' => str_random(12),
        'user_id'        => 1,
        'title'          => $faker->sentence,
        'slug'           => str_slug($faker->sentence),
        'category_id'    => 2,
        'post_type_id'   => 2,
        'city'           => $faker->city,
        'state'          => $faker->state,
        'country'        => $faker->country,
        'location_id'    => str_random(12),
        'description'    => $faker->text(),
        'approved_at'    => \Carbon\Carbon::now()->subDays(mt_rand(1, 120))
    ];
});
