<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('fbid')->nullable();
            $table->bigInteger('gid')->nullable();
            $table->bigInteger('twid')->nullable();
            $table->string('username')->unique();
            $table->string('email');
            $table->string('password', 60);
            $table->string('fullname')->nullable();
            $table->string('avatar')->default('user')->nullable();
            $table->text('about')->nullable();
            $table->integer('category_id')->unsigned()->nullable();
            $table->string('url')->nullable();
            $table->string('tw_url')->nullable();
            $table->string('tags')->nullable();
            $table->string('email_confirmation')->nullable();
            $table->string('permission')->nullable();
            $table->boolean('is_freelancer')->default(0);
            $table->timestamp('confirmed_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('users');
    }
}
