var elixir = require('laravel-elixir');
// Configure elixir to use different directories

// elixir.config.assetsDir = 'app/assets/';
// elixir.config.cssOutput = 'public_html/css';
// elixir.config.jsOutput = 'public/js';
// elixir.config.bowerDir = 'vendor/bower_components';
/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 |
 | Elixir provides a clean, fluent API for defining some basic Gulp tasks
 | for your Laravel application. By default, we are compiling the Less
 | file for our application, as well as publishing vendor resources.
 |
 */

elixir(function (mix) {
    mix.sass("app.scss", 'public/static/css/bootstrap.min.css').styles([
        'plugins/font-awesome/css/font-awesome.min.css',
        'plugins/selectize/dist/css/selectize.css',
        'plugins/selectize/dist/css/selectize.bootstrap3.css',
        'plugins/select2/dist/css/select2.min.css',
        'plugins/select2-bootstrap-theme/dist/select2-bootstrap.min.css',
        'plugins/selectize-plugin/plugin.css',
        'plugins/editor/dist/simplemde.min.css',
        'css/bootstrap.min.css',
        "css/style.css",
    ], 'public/static/css/main.css', 'public/static');

    mix.copy('public/static/plugins/bootstrap-sass/assets/fonts/bootstrap', 'public/static/fonts');
    mix.copy('public/static/plugins/font-awesome/fonts', 'public/static/fonts');

    mix.scripts([
        'plugins/jquery/dist/jquery.js',
        'plugins/jquery-ui/jquery-ui.js',
        'plugins/selectize/dist/js/standalone/selectize.min.js',
        'plugins/selectize-plugin/plugin.js',
        'plugins/select2/dist/js/select2.full.min.js',
        'plugins/editor/dist/simplemde.min.js',
        'plugins/bootstrap-sass/assets/javascripts/bootstrap.min.js',
        'plugins/jquery-infinite-scroll/jquery.infinitescroll.min.js',
        'js/custom.js',
    ], 'public/static/js/main.js', 'public/static');


    /**
     * Admin Panel Template requirement's starts from here.
     */
    mix.styles([
        "css/bootstrap.min.css",
        "admin/css/AdminLTE.min.css",
        "admin/css/custom.css",
        "admin/css/skins/skin-purple.min.css",
        "plugins/morris.js/morris.css",
        'plugins/select2-bootstrap-theme/dist/select2-bootstrap.min.css',
        "plugins/datatables/media/css/dataTables.bootstrap.min.css",
        "admin/plugins/datatables/extensions/Responsive/css/dataTables.responsive.css",
        'plugins/editor/dist/simplemde.min.css',
        'plugins/jt.timepicker/jquery.timepicker.css',
        'plugins/select2/dist/css/select2.min.css',
    ], 'public/static/admin/css/main.css', 'public/static');

    mix.scripts([
        'plugins/jquery/dist/jquery.js',
        'plugins/jquery-ui/jquery-ui.js',
        'plugins/bootstrap-sass/assets/javascripts/bootstrap.min.js',
        'plugins/footable/dist/footable.min.js',
        'plugins/raphael/raphael-min.js',
        'plugins/morris.js/morris.min.js',
        'plugins/datatables/media/js/jquery.dataTables.min.js',
        'plugins/datatables/media/js/dataTables.bootstrap.min.js',
        'plugins/footable/dist/footable.all.min.js',
        'plugins/select2/dist/js/select2.full.min.js',
        'plugins/bootstrap-datepicker/js/bootstrap-datepicker.js',
        'plugins/jt.timepicker/jquery.timepicker.js',
        'plugins/jquery-timeago/jquery.timeago.js',
        'admin/plugins/datatables/extensions/Responsive/js/dataTables.responsive.min.js',
        'plugins/editor/dist/simplemde.min.js',
        'admin/js/sortable.js',
        'admin/js/app.min.js',
        'admin/js/custom.js',
    ], 'public/static/admin/main.js', 'public/static');

    mix.copy('public/static/plugins/datatables/media/images', 'public/static/admin/images');
    mix.copy('public/static/plugins/bootstrap-sass/assets/fonts/bootstrap', 'public/static/admin/fonts');
    mix.copy('public/static/plugins/font-awesome/fonts', 'public/static/admin/fonts');

    //mix.browserSync({ proxy: 'http://pe.dev'});
});