@extends('admin.master.index')
@section('content')
    <div class="row">
        <div class="col-md-3">
            <a href="{{ route('users.profile', ['username' => $user->username]) }}" target="_blank"><img src="{{ Resize::avatar($user,'listingAvatar') }}" class="thumbnail img-responsive"></a>
            <ul class="list-group">
                <a href="#" class="list-group-item disabled">
                    User Statics
                </a>
                <li class="list-group-item"><strong>FullName</strong> <a href="{{ route('users.profile', [$user->username]) }}">{{ $user->fullname }}</a></li>
                <li class="list-group-item"><strong>Email</strong> {{ $user->email }}</li>
                <li class="list-group-item"><strong>Posts</strong> {{ $user->posts->count() }}</li>
                <li class="list-group-item"><strong>Uploaded At</strong> {{ $user->created_at->diffForHumans() }} </li>
                <li class="list-group-item"><strong>Last Updated</strong> {{ $user->updated_at->diffForHumans() }} </li>
                <li class="list-group-item"><strong>Featured At</strong> {{ $user->featured_at  == null ? 'Not Featured' : $user->featured_at->diffForHumans() }} </li>
            </ul>
        </div>
        <div class="col-md-9">
            {!! Form::open() !!}
            <div class="form-group">
                {!! Form::label('username', 'Username') !!}
                {!! Form::text('username', $user->username, ['class' => 'form-control input-lg', 'placeholder' => 'Username', 'disabled']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('fullname', 'Fullname') !!}
                {!! Form::text('fullname', $user->fullname, ['class' => 'form-control input-lg', 'placeholder' => 'Fullname']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('email', 'Email') !!}
                {!! Form::text('email', $user->email, ['class' => 'form-control input-lg', 'placeholder' => 'Email']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('about', 'About Me') !!}
                {!! Form::textarea('about', $user->about, ['class' => 'form-control input-lg editor', 'placeholder' => 'About Me']) !!}
            </div>

            <div class="form-group">
                {!! Form::label('url', 'Url') !!}
                {!! Form::text('url', $user->url, ['class' => 'form-control input-lg', 'placeholder' => 'Blog Url']) !!}
            </div>

            <div class="form-group">
                {!! Form::label('tw_url', 'Twitter Url') !!}
                {!! Form::text('tw_url', $user->tw_url, ['class' => 'form-control input-lg', 'placeholder' => 'Twitter Url']) !!}
            </div>

            <div class="form-group">
                <label for="blogurl">Permission ( <i class="fa fa-info" data-toggle="tooltip" data-placement="top" data-original-title="Value in drop down list is the current permission of user"></i> )</label>
                {!! Form::select('permission', ['user' => 'User','ban' => 'Ban', 'admin' => 'Admin'], $user->permission , array('class'=>'form-control input-lg'))  !!}
            </div>

            <div class="form-group">
                <label for="delete">Delete this User</label>
                {!! Form::checkbox('delete',true, false) !!}
                ( <i class="fa fa-info" data-toggle="tooltip" data-placement="top" data-original-title="Users details can't be restored after that"></i> )
            </div>

            {!! Form::submit('Update', ['class' => 'btn btn-success btn-lg']) !!}
            {!! Form::close() !!}
        </div>
    </div>
@endsection
@section('extra-js')
    <script>
        $(function () {
            $(".tagging").select2({
                theme: "bootstrap",
                minimumInputLength: 3,
                maximumSelectionLength: {{ (int)siteSettings('tagsLimit') }},
                tags: true,
                tokenSeparators: [","]
            })
        });
    </script>
@endsection