@extends('master.index')

@section('content')
 <div class="col-md-12">
  <div class="row">
   <h1 class="content-heading">{{ $title }}</h1>

   {!! Form::open() !!}
      <div class="form-group">
          {!! Form::label('title', t('Title')) !!}*
          {!! Form::input('text','title',$post->title, ['required', 'class' => 'form-control', 'placeholder' => t('Title')]) !!}
      </div>
      <div class="form-group">
          {!! Form::label('description', t('Description')) !!}*
          {!! Form::textarea('description',$post->description, ['id' => 'editor', 'class' => 'form-control', 'placeholder' => t('Description')]) !!}
      </div>
      <div class="form-group">
          {!! Form::label('apply_elsewhere', t('Apply from somewhere else')) !!}
          {!! Form::checkbox('apply_elsewhere', 1, $post->apply_elsewhere, ['id' => 'apply_elsewhere']) !!}
      </div>
      <div class="form-group apply_elsewhere">
          {!! Form::label('apply_to', t('How to apply')) !!}*
          {!! Form::textarea('apply_to',$post->apply_to, ['rows' => 3, 'id' => 'editor', 'class' => 'form-control', 'placeholder' => t('How and where to apply, email address or link')]) !!}
      </div>
      <div class="form-group">
          {!! Form::label('is_remote', t('Is Remote Job')) !!}
          {!! Form::checkbox('is_remote', 1, $post->is_remote, ['id' => 'is_remote']) !!}
      </div>
      <div class="hide-if-remote">
          <div class="form-group">
              {!! Form::label('location', t('Location')) !!}
              {!! Form::select('location',[],[],['class' => 'location', 'placeholder' => t('City, Sate, Country')]) !!}
              {!! Form::input('text','location_id',null,['class' => 'place_id hidden']) !!}
          </div>
      </div>

      <div class="form-group">
          {!! Form::label('category', t('Category')) !!}
          <select name="category" class="form-control" required>
              <option value="{{ $post->category->id }}">{{ ucfirst($post->category->name) }}</option>
              <option>--------</option>
              @foreach(siteCategories() as $category)
                  <option value="{{ $category->id }}">{{ $category->name }}</option>
              @endforeach
          </select>
      </div>

      <div class="form-group">
          {!! Form::label('category', 'Type') !!}
          <select class="form-control" name="job_type" required>
              <option value="{{ $post->type->id }}">{{ ucfirst($post->type->name) }}</option>
              <option>--------</option>
              @foreach(sitePostTypes() as $type)
                  <option value="{{ $type->id }}">{{ $type->name }}</option>
              @endforeach
          </select>
      </div>

      <div class="form-group form-group-lg">
          {!! Form::label('tags', 'Tags') !!}
          <select class="form-control tagging" multiple="multiple" name="tags[]">
              @foreach(explode(',',$post->tags) as $tag)
                  @if($tag)
                      <option selected="selected">{{ $tag }}</option>
                  @endif
              @endforeach
          </select>
      </div>

      <div class="form-group">
          {!! Form::label('delete', t('Delete')) !!}
          {!! Form::checkbox('delete', 1) !!}
      </div>

      {!! Form::submit('Update', ['class' => 'btn btn-info']) !!}
   {!! Form::close() !!}
  </div>
 </div>
@endsection